function Radius=Radius4element(mesh)
%compute the radius of circumcicle ofeach element 
% HEHU XIE
edgelength=Length4edge(mesh);
%----get the number of triangles-------------------------------------------
Nr_elem=size(mesh.elem,1);
Radius = zeros(Nr_elem,1);




if Nr_elem > 0
    Radius(:,1) = edgelength(mesh.edge(:,1))./sqrt((edgelength(mesh.edge(:,1))+...
        edgelength(mesh.edge(:,2))+edgelength(mesh.edge(:,3))).*...
        (edgelength(mesh.edge(:,2))+edgelength(mesh.edge(:,3))...
        -edgelength(mesh.edge(:,1))));
    
    Radius(:,1) = Radius(:,1).*edgelength(mesh.edge(:,2))./sqrt((edgelength(mesh.edge(:,1))+...
                    edgelength(mesh.edge(:,3))-edgelength(mesh.edge(:,2))).*...
                    (edgelength(mesh.edge(:,1))+edgelength(mesh.edge(:,2))...
                    -edgelength(mesh.edge(:,3))));
    Radius(:,1) = Radius(:,1).*edgelength(mesh.edge(:,3));
end